Class | Ramaze::Tool::Create
In: | lib/ramaze/tool/create.rb
Parent: | Object

Create is a simple class used to create new projects based on the proto directory.

It is primarly used for this command:

      ramaze --create project

where project is the directory you want the content put into.

### Methods

create

### Constants

DEFAULT

=

{ :proto => File.join(ROOT, 'proto'), :amend => false, :force => false, :layout => '/', }

Default options passed to Create::create

      :proto  is the directory to duplicate
      :amend  no files may be overwritten but missing files will be added
      :force  will overwrite existing files
      :layout copy one subdirectory in +proto+

### Public Class methods

create(project, options = {})

Using ProjectCreator to copy all files and directories from lib/proto to another location. `options` are described in the DEFAULT constant and should be:

      :force  => (true|false|nil)
      :amend  => (true|false|nil)
      :layout => (String|nil)
      :proto  => String

[Validate]